### Index

- merge (packages/.../merge.ts)
- merge (packages/.../merge.ts)
- merge (packages/.../merge.ts)
- merge (packages/.../merge.ts)
- merge (packages/.../merge.ts)
- merge (packages/.../merge.ts)
- merge (packages/.../merge.ts)
- merge (packages/.../merge.ts)
- xhr (packages/.../xhr.ts)
- xhr (packages/.../xhr.ts)

### packages/base/src/lib/util/merge.ts

###

merge
`merge(target: T)`

Parameters :

Name | Type | Optional
target | `T` | No

Returns : `T`

merge
`merge(target: T, a: A)`

Parameters :

Name | Type | Optional
target | `T` | No
a | `A` | No

merge
`merge(target: T, a: A, b: B)`

Parameters :

Name | Type | Optional
target | `T` | No
a | `A` | No
b | `B` | No

merge
`merge(target: T, a: A, b: B, c: C)`

Parameters :

Name | Type | Optional
target | `T` | No
a | `A` | No
b | `B` | No
c | `C` | No

merge
`merge(target: T, a: A, b: B, c: C, d: D)`

Parameters :

Name | Type | Optional
target | `T` | No
a | `A` | No
b | `B` | No
c | `C` | No
d | `D` | No

merge
`merge(target: T, a: A, b: B, c: C, d: D, e: E)`

Parameters :

Name | Type | Optional
target | `T` | No
a | `A` | No
b | `B` | No
c | `C` | No
d | `D` | No
e | `E` | No

merge
`merge(target: T, a: A, b: B, c: C, d: D, e: E, f: F)`

Parameters :

Name | Type | Optional
target | `T` | No
a | `A` | No
b | `B` | No
c | `C` | No
d | `D` | No
e | `E` | No
f | `F` | No

merge
`merge(target: any, ...sources: undefined)`

Parameters :

Name | Type | Optional
target | `any` | No
sources |  | No

Returns : `any`

### packages/base/src/lib/util/xhr.ts

###

xhr
`xhr(urlOrConfig)`

Utility function to call a XMLHttpRequest and send the response as a Promise. The response can be parameterized

Parameters :

Name | Optional
urlOrConfig | No

Returns : `Promise<T>`

xhr
`xhr(urlOrConfig)`

Parameters :

Name | Optional
urlOrConfig | No

Returns : `Promise<any>`

# results matching ""

# No results matching ""